Subject: Re: [bug#41748] [PATCH 0/1] Fix JamVM to work with current gcc and glibc

From: Marius Bakke <[email-masked]>
Date: Mon, 22 Jun 2020 22:37:03 +0200

Simon South <[email-masked]> writes:

> This patch allows JamVM 2.0.0 to be built without using outdated versions of
> gcc and glibc, by disabling the branch-patching optimization JamVM normally
> applies to code it has inlined.
>
> I've successfully built IcedTea 1.13.13 on x86_64 with this patch applied,
> without encountering any "Invalid instruction" errors. It also seems to work
> fine on aarch64.

Thanks a lot for this patch, and the brilliant analysis.  I have applied
the updated version and will push shortly.

I modified it to also remove the (gnu packages gcc) import from
java.scm.  \o/